package com.mortals.xhx.module.notice.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.notice.model.vo.NoticeRoomVo;
import lombok.Data;
/**
* 房间公告实体对象
*
* @author zxfei
* @date 2023-09-05
*/
@Data
public class NoticeRoomEntity extends NoticeRoomVo {
    private static final long serialVersionUID = 1L;

    /**
    * 公告id
    */
    private Long noticeId;
    /**
    * 公告标题
    */
    @Excel(name = "公告标题")
    private String title;
    /**
    * 房间id
    */
    private Long roomId;
    /**
    * 房间名称
    */
    @Excel(name = "房间名称")
    private String roomName;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof NoticeRoomEntity) {
            NoticeRoomEntity tmp = (NoticeRoomEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.noticeId = 0L;
            this.title = "";
            this.roomId = 0L;
            this.roomName = "";
            this.remark = "";
    }
}